(function(exports) {
    var publish_version = false,
	server,
	agentName = "wlyyAgentForDoc",
	userInfo = "userInfoForPay",
	userAgent = window.localStorage.getItem(agentName);//获取pcIM缓存
	//临时添加
	var sendHead = {};
	var userObj = JSON.parse(userAgent)
	sendHead.uid = userObj.uid
	sendHead.imei = localStorage.getItem('WLYY_IMEI')
	sendHead.platform = 4
	sendHead.token= userObj.token
	console.log(sendHead)
	
    if(publish_version) { //生产环境配置
        server = ""  
    } else { //测试环境配置
        server = "http://172.19.103.88:9092/wlyy/"
    }

    function httpGet(url, options) {
        //发送ajax请求
        return new Promise(function(resolve, reject) {
            $.ajax(server + url,
                $.extend({}, {
                    type: 'GET',
                    dataType: 'JSON',
                    beforeSend: function(request) {                   	
                    	request.setRequestHeader("userAgent", JSON.stringify(sendHead));
                    },
                    error: function(res) {
                        reject(res)
                    },
                    success: function(res) {
                        resolve(res)
                    }
                }, options));
        })
    }

    function httpPost(url, options) {
        //发送ajax请求
        return new Promise(function(resolve, reject) {
            $.ajax(server + url,
                $.extend({}, {
                    type: 'POST',
                    dataType: 'JSON',
                    beforeSend: function(request) {
                    	request.setRequestHeader("userAgent", JSON.stringify(sendHead));
                    },
                    error: function(res) {
                        reject(res)
                    },
                    success: function(res) {
                        resolve(res)
                    }
                }, options));
        })
    }

    httpRequest = {
    	server: server,
    	userInfo: userInfo,
    	agentName: agentName,
    	userAgent:userAgent,
        get: function(url, options) {
        	return httpGet(url, options)
        },
        post: function(url, options) {
        	return httpPost(url, options)
        }
    }
    exports.httpRequest = httpRequest;
})(window)