Vue.component('consultation-list', {
	template: `<ul class="consultation-list">
				<li class="consultation-list-item" @click="viewDetail(1)" v-for="(list,index) in chatList">
					<img class="con-avatar" :src="list.patientPhoto" alt="" onerror="onerror=null;src=\'http://www.yihu.com/v3/images/default-female-doc.jpg\'" />
					<div class="con-user-info">
						<span class="con-status" :data-status="list.status" desc="1进行2结束"></span>
						<p><span class="con-user-name">{{list.patientName}}</span><span class="small con-time">{{list.czrq}}</span></p>
						<p class="user-problem">咨询问题：{{list.symptoms}}</p>
					</div>
				</li>
			</ul>`,
	data: function() {
		return {
			chatList: "",
			curPage:1
		}
	},
	props:["consultaData"],
	methods: {
		viewDetail: function(id) {
			top.layer.open({
		      type: 2,
		      maxmin: true,
		      area: ['600px', '360px'],
		      shadeClose: true,
		      content: 'ddd'
		    });
		}
	},
	watch:{
		consultaData:function(val){
			this.chatList=this.consultaData;
		}
	},
	mounted: function() {
		this.$emit('init-data', this.curPage);
	}
})