Vue.component('follow-list', {
	template: `<ul class="consultation-list">
				<li class="consultation-list-item" @click="viewDetail(1)" v-for="(list,index) in eduList">
					<p class="follow-up-doctor"><span class="start-time pull-right">发送时间：{{list.fsrq}}</span>随访医生：{{list.doctor}}</p>
					<div class="follow-user-info leave-word-container">
						<span class="follow-status" :data-status="list.status" desc="1进行2结束"></span>
						<p class="leave-word">医生留言:{{list.ysly}}</p>
					</div>
				</li>
			</ul>`,
	data: function() {
		return {
			eduList: "",
			curPage:1
		}
	},
	props:["eduData"],
	methods: {
		viewDetail: function(id) {
			top.layer.open({
		      type: 2,
		      maxmin: true,
		      area: ['600px', '360px'],
		      shadeClose: true,
		      content: 'ddd'
		    });
		}
	},
	watch:{
		consultaData:function(val){
			this.eduList=this.eduData;
		}
	},
	mounted: function() {
		this.$emit('init-data', this.curPage);
	}
})