Vue.component('consultation-list', {
	template: `<ul class="consultation-list">
				<li class="consultation-list-item" @click="viewDetail(1)" v-for="(list,index) in guidanceList">
					<div class="con-user-info">
						<span class="guidance-status" :data-status="list.status" desc="1未读2已读"></span>
						<p class="article-title">文章标题：{{list.title}}</p>
						<p class="user-problem">发送时间：{{list.fsrq}}</p>
					</div>
				</li>
			</ul>`,
	data: function() {
		return {
			guidanceList: "",
			curPage:1
		}
	},
	props:["guidanceData"],
	methods: {
		viewDetail: function(id) {
			top.layer.open({
		      type: 2,
		      maxmin: true,
		      area: ['600px', '360px'],
		      shadeClose: true,
		      content: 'ddd'
		    });
		}
	},
	watch:{
		consultaData:function(val){
			this.guidanceList=this.guidanceData;
		}
	},
	mounted: function() {
		this.$emit('init-data', this.curPage);
	}
})