Vue.component('follow-list', {
	template: `<ul class="consultation-list">
				<li class="consultation-list-item" @click="viewDetail(1)" v-for="(list,index) in toBeReservedList">
					<p class="follow-up-doctor"><span class="start-time pull-right">开始时间：{{list.createTime}}</span>随访医生：{{list.doctorName}}</p>
					<div class="follow-user-info">
						<p>科室/医院：{{list.followupTypeName}}{{list.followupClassName?"/"+list.followupClassName:""}}</p>
						<p class="completion-time">预约时间：{{list.followupPlanDate}}</p>
					</div>
				</li>
			</ul>`,
	data: function() {
		return {
			toBeReservedList: "",
			curPage:1
		}
	},
	props:["toBeReservedData"],
	methods: {
		viewDetail: function(id) {
			top.layer.open({
		      type: 2,
		      maxmin: true,
		      area: ['600px', '360px'],
		      shadeClose: true,
		      content: 'ddd'
		    });
		}
	},
	watch:{
		followUpData:function(val){
			this.toBeReservedList=this.toBeReservedData;
		}
	},
	mounted: function() {
		this.$emit('init-data', this.curPage);
	}
})